@echo off
pushd %~dp0
setlocal
title Add Numbers Client

set JAVA_HOME=..\..\jre
if not exist "%JAVA_HOME%" set JAVA_HOME=..\%JAVA_HOME%

set SSL_PROPS=-Djavax.net.ssl.trustStore=addNumbersClient.jks -Djavax.net.ssl.trustStorePassword=secret -Djavax.net.ssl.keyStore=addNumbersClient.jks -Djavax.net.ssl.keyStorePassword=secret
set NET_PROPS=-Djava.net.preferIPv4Stack=true -Djava.net.preferIPv6Addresses=false 

for %%i in (addnumbers-client-*.jar) DO %JAVA_HOME%\bin\java --add-exports=java.base/sun.net.www.protocol.http=ALL-UNNAMED --add-opens=java.base/sun.net.www.protocol.https=ALL-UNNAMED %NET_PROPS% %SSL_PROPS% -jar "%%i"

@rem Below are options for connecting to a proxy on the localhost.  Comment out the previous line and remove the comment from this line to use it.
@rem If the proxy is located elsewhere on the network, you will need to update the command line options appropriately.
@rem for %%i in (addnumbers-client-*.jar) DO %JAVA_HOME%\bin\java %NET_PROPS% %SSL_PROPS% --add-exports=java.base/sun.net.www.protocol.http=ALL-UNNAMED --add-opens=java.base/sun.net.www.protocol.https=ALL-UNNAMED -Dhttp.proxyHost=localhost -Dhttp.proxyPort=3128 -Dhttps.proxyHost=localhost -Dhttps.proxyPort=3128 -Dhttp.nonProxyHosts= -jar "%%i"

endlocal
popd
